APIInference
Inference Bindings_create
POST
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
manage_inferenceapplication/json- body
purpose*"dlp_judge"Which gateway capability a binding configures.
Value in
"dlp_judge"name*stringLength
1 <= length <= 255connection_id*uuidFormat
uuidmodel*stringLength
1 <= length <= 255The request has succeeded and a new resource has been created as a result.
application/json- response
A named candidate: a connection + model for a purpose. One is active.
id*uuidFormat
uuidpurpose*"dlp_judge"Which gateway capability a binding configures.
Value in
"dlp_judge"name*stringLength
1 <= length <= 255connection_id*uuidFormat
uuidmodel*stringLength
1 <= length <= 255is_active*booleancreated_at*stringFormat
date-timeupdated_at*stringFormat
date-timecurl -X POST "https://example.com/inference/bindings" \ -H "Content-Type: application/json" \ -d '{ "purpose": "dlp_judge", "name": "string", "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "model": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "purpose": "dlp_judge", "name": "string", "connection_id": "d3547de1-d1f2-4344-b4c2-17169b7526f9", "model": "string", "is_active": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}